Data Fields
acc_processing_result_t Struct Reference
Service » Processing

Result provided by the processing module. More...

`#include <acc_processing.h>`

## Data Fields
bool | data_saturated
bool | frame_delayed
bool | calibration_needed
int16_t | temperature
acc_int16_complex_t * | frame

## Detailed Description

Result provided by the processing module.

Examples
  example_detector_distance_with_iq_data_print.c, example_service.c, example_service_low_power_sensor_disable.c, example_service_low_power_sensor_hibernate.c, example_service_multiple_configurations.c, example_service_sensor_disable.c, example_service_sensor_hibernate.c, example_service_sensor_off.c, and example_service_subsweeps.c.

Definition at line 71 of file acc_processing.h.

## Field Documentation

## ◆ calibration_needed

bool acc_processing_result_t::calibration_needed

Indication of calibration needed The sensor calibration needs to be redone if this indication is set.

Examples
  example_detector_presence.c, and example_service.c.

Definition at line 84 of file acc_processing.h.

## ◆ data_saturated

bool acc_processing_result_t::data_saturated

Indication of sensor data being saturated, can cause data corruption. Lower the receiver gain if this indication is set.

Examples
  example_detector_presence.c.

Definition at line 76 of file acc_processing.h.

## ◆ frame

acc_int16_complex_t* acc_processing_result_t::frame

Pointer to the frame data

Examples
  acc_processing_helpers.c, example_control_helper.c, example_detector_distance_with_iq_data_print.c, example_service.c, example_service_low_power_sensor_disable.c, example_service_low_power_sensor_hibernate.c, example_service_multiple_configurations.c, example_service_sensor_disable.c, example_service_sensor_hibernate.c, example_service_sensor_off.c, and example_service_subsweeps.c.

Definition at line 91 of file acc_processing.h.

## ◆ frame_delayed

bool acc_processing_result_t::frame_delayed

Indication of a delayed frame. The frame rate might need to be lowered if this indication is set.

Examples
  example_detector_presence.c.

Definition at line 80 of file acc_processing.h.

## ◆ temperature

int16_t acc_processing_result_t::temperature

Temperature in sensor during measurement (in degree Celsius). Note that it has poor absolute accuracy and should only be used for relative temperature measurements.

Definition at line 89 of file acc_processing.h.

The documentation for this struct was generated from the following file:

- Inc/acc_processing.h